Subject: Re: [net-next PATCH] fib_trie: Only display main table in /proc/net/route

From: Alexander Duyck <[email-masked]>
Date: Wed, 11 Mar 2015 18:36:14 -0700

On 03/11/2015 06:22 PM, David Miller wrote:
> From: Alexander Duyck <[email-masked]>
> Date: Wed, 11 Mar 2015 16:36:08 -0700
>
>> When we merged the tries for local and main I had overlooked the iterator
>> for /proc/net/route.  As a result it was outputting both local and main
>> when the two tries were merged.
>>
>> This patch resolves that by only providing output for aliases that are
>> actually in the main trie.  As a result we should go back to the original
>> behavior which I assume will be necessary to maintain legacy support.
>>
>> Fixes: 0ddcf43d5 ("ipv4: FIB Local/MAIN table collapse")
>>
>> Signed-off-by: Alexander Duyck <[email-masked]>
> Applied, thanks Alex.
>
> Please don't put empty lines between Fixes: tags and the signoffs
> and acks, they belong together.

I'll try to remember that for any other patches.

Thanks.

- Alex